# eric4.QScintilla.Lexers.LexerBash

Module implementing a Bash lexer with some additional methods.

### Global Attributes

None

### Classes

LexerBash | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerBash

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerBash, Lexer

### Class Attributes

None

### Class Methods

None

### Methods

LexerBash | Constructor
defaultKeywords | Public method to get the default keywords.
initProperties | Public slot to initialize the properties.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.

### Static Methods

None

#### LexerBash (Constructor)

LexerBash(parent = None)

Constructor

parent
  parent widget of this lexer

#### LexerBash.defaultKeywords

defaultKeywords(kwSet)

Public method to get the default keywords.

kwSet
  number of the keyword set (integer)

Returns:
  string giving the keywords (string) or None

#### LexerBash.initProperties

initProperties()

Public slot to initialize the properties.

#### LexerBash.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

Returns:
  flag indicating a comment style (boolean)

#### LexerBash.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

Returns:
  flag indicating a string style (boolean)

Up